#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
};

static const struct modversion_info ____versions[]
__attribute_used__
__attribute__((section("__versions"))) = {
	{ 0x1d64c9b5, "struct_module" },
	{ 0x1a1a4f09, "__request_region" },
	{ 0xac7011c7, "pci_bus_read_config_byte" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x89b301d4, "param_get_int" },
	{ 0xc9ca42a5, "no_llseek" },
	{ 0x97a2809b, "remove_proc_entry" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2fd1d81c, "vfree" },
	{ 0xd16ac615, "__get_user_1" },
	{ 0x8d2690f9, "pci_bus_write_config_word" },
	{ 0x98bd6f46, "param_set_int" },
	{ 0x1d26aa98, "sprintf" },
	{ 0x3a6cb30e, "nonseekable_open" },
	{ 0x7af3f551, "pci_set_master" },
	{ 0x865ebccd, "ioport_resource" },
	{ 0xc36c68ac, "proc_mkdir" },
	{ 0x1b7d4074, "printk" },
	{ 0xed5c73bf, "__tasklet_schedule" },
	{ 0x2f287f0d, "copy_to_user" },
	{ 0xacf1cba7, "dma_free_coherent" },
	{ 0x73e20c1c, "strlcpy" },
	{ 0xaf530850, "pci_bus_write_config_dword" },
	{ 0xa5808bbf, "tasklet_init" },
	{ 0x9eac042a, "__ioremap" },
	{ 0xfd9cfc54, "dma_alloc_coherent" },
	{ 0x79ad224b, "tasklet_kill" },
	{ 0x5e02e4d9, "pci_bus_read_config_word" },
	{ 0xcdcd68a6, "pci_bus_read_config_dword" },
	{ 0x26e96637, "request_irq" },
	{ 0x799aca4, "local_bh_enable" },
	{ 0xe419d582, "register_chrdev" },
	{ 0xa97aba3b, "create_proc_entry" },
	{ 0xd49501d4, "__release_region" },
	{ 0x5da2c20a, "pci_unregister_driver" },
	{ 0xc168bc38, "pci_bus_write_config_byte" },
	{ 0x801678, "flush_scheduled_work" },
	{ 0xedc03953, "iounmap" },
	{ 0xc192d491, "unregister_chrdev" },
	{ 0xd3422409, "__pci_register_driver" },
	{ 0x2974ead1, "DIVA_DIDD_Read" },
	{ 0x575ee674, "pci_enable_device" },
	{ 0x782b0008, "vsprintf" },
	{ 0xd6c963c, "copy_from_user" },
	{ 0x8e040a33, "proc_net_eicon" },
	{ 0xf20dabd8, "free_irq" },
};

static const char __module_depends[]
__attribute_used__
__attribute__((section(".modinfo"))) =
"depends=divadidd";

MODULE_ALIAS("pci:v00001133d0000E010sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001133d0000E012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001133d0000E013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001133d0000E014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001133d0000E015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001133d0000E016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001133d0000E017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001133d0000E018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001133d0000E019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001133d0000E01Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001133d0000E01Bsv*sd*bc*sc*i*");
